bifunctors-4.1.0.1: Bifunctors

Portability | portable
Stability | provisional
Maintainer | Edward Kmett <ekmett@gmail.com>
Safe Haskell | Safe-Inferred

Data.Bifunctor.Flip

Description

Synopsis

- newtype Flip p a b = Flip {
  - runFlip :: p b a
  }

# Documentation

newtype Flip p a b Source

Make a `Functor` over the first argument of a `Bifunctor`.

Constructors

Flip |

Fields

runFlip :: p b a

Instances

Bifoldable p => Bifoldable (Flip p) |
Bifoldable1 p => Bifoldable1 (Flip p) |
Bifunctor p => Bifunctor (Flip p) |
Biapply p => Biapply (Flip p) |
Bitraversable p => Bitraversable (Flip p) |
Bitraversable1 p => Bitraversable1 (Flip p) |
Biapplicative p => Biapplicative (Flip p) |
Bifunctor p => Functor (Flip p a) |
Bifoldable p => Foldable (Flip p a) |
Bitraversable p => Traversable (Flip p a) |
Eq (p b a) => Eq (Flip p a b) |
Ord (p b a) => Ord (Flip p a b) |
Read (p b a) => Read (Flip p a b) |
Show (p b a) => Show (Flip p a b) |